Bug 1012141 - [abrt] pulseaudio-4.0-4.gita89ca.fc20: core_free: Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
[abrt] pulseaudio-4.0-4.gita89ca.fc20: core_free: Process /usr/bin/pulseaudio...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
abrt_hash:fc02a22596b4dbb56222edfa32b...
: Reopened
Depends On:
Blocks: F20BetaFreezeException F20FinalBlocker
  Show dependency treegraph
 
Reported: 2013-09-25 15:54 EDT by P. A. López-Valencia
Modified: 2015-12-02 11:06 EST (History)
23 users (show)

See Also:
Fixed In Version: pulseaudio-4.0-7.gitf81e3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:58:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (10.95 KB, text/plain)
2013-09-25 15:54 EDT, P. A. López-Valencia
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-25 15:54 EDT, P. A. López-Valencia
no flags Details
File: core_backtrace (1.56 KB, text/plain)
2013-09-25 15:54 EDT, P. A. López-Valencia
no flags Details
File: dso_list (7.84 KB, text/plain)
2013-09-25 15:54 EDT, P. A. López-Valencia
no flags Details
File: environ (1.07 KB, text/plain)
2013-09-25 15:54 EDT, P. A. López-Valencia
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-25 15:54 EDT, P. A. López-Valencia
no flags Details
File: maps (34.84 KB, text/plain)
2013-09-25 15:54 EDT, P. A. López-Valencia
no flags Details
File: open_fds (334 bytes, text/plain)
2013-09-25 15:54 EDT, P. A. López-Valencia
no flags Details
File: proc_pid_status (929 bytes, text/plain)
2013-09-25 15:54 EDT, P. A. López-Valencia
no flags Details

  None (edit)
Description P. A. López-Valencia 2013-09-25 15:54:18 EDT
Version-Release number of selected component:
pulseaudio-4.0-4.gita89ca.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start
crash_function: core_free
executable:     /usr/bin/pulseaudio
kernel:         3.11.1-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #2 core_free at pulsecore/core.c:175
 #3 pa_core_unref at pulsecore/core.h:192

Potential duplicate: bug 714401
Comment 1 P. A. López-Valencia 2013-09-25 15:54:22 EDT
Created attachment 803048 [details]
File: backtrace
Comment 2 P. A. López-Valencia 2013-09-25 15:54:25 EDT
Created attachment 803049 [details]
File: cgroup
Comment 3 P. A. López-Valencia 2013-09-25 15:54:28 EDT
Created attachment 803050 [details]
File: core_backtrace
Comment 4 P. A. López-Valencia 2013-09-25 15:54:31 EDT
Created attachment 803051 [details]
File: dso_list
Comment 5 P. A. López-Valencia 2013-09-25 15:54:35 EDT
Created attachment 803052 [details]
File: environ
Comment 6 P. A. López-Valencia 2013-09-25 15:54:38 EDT
Created attachment 803053 [details]
File: limits
Comment 7 P. A. López-Valencia 2013-09-25 15:54:41 EDT
Created attachment 803054 [details]
File: maps
Comment 8 P. A. López-Valencia 2013-09-25 15:54:45 EDT
Created attachment 803055 [details]
File: open_fds
Comment 9 P. A. López-Valencia 2013-09-25 15:54:48 EDT
Created attachment 803056 [details]
File: proc_pid_status
Comment 10 Michael Schwendt 2013-09-26 10:55:25 EDT
No idea. Logged back in at GDM screen.

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start
crash_function: core_free
executable:     /usr/bin/pulseaudio
kernel:         3.12.0-0.rc2.git0.2.fc21.x86_64
package:        pulseaudio-4.0-4.gita89ca.fc20
reason:         Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 11 Ankur Sinha (FranciscoD) 2013-10-01 00:03:19 EDT
I installed and started skype. It came up with a notification, and the system hung up. Killing skype and pulse from a virtual terminal got it working again, and abrt directed me here.
Comment 12 Adam Williamson 2013-10-01 13:08:04 EDT
Saw this on startup of a freshly-built F20 VM in virt-manager (doing some pre-Beta testing).
Comment 13 Mukundan Ragavan 2013-10-08 22:04:04 EDT
Seeing this bug on startup. I installed this system using beta TC1.
Comment 14 Adam Williamson 2013-10-10 10:38:43 EDT
Still seeing this as of Beta TC2.
Comment 15 D. Charles Pyle 2013-10-10 16:59:04 EDT
I'm also seeing other problems with the latest version of pulseaudio after updates.  Among these are problems with audio playback in Skype and crashing to console of lightDM Display Manager.
Comment 16 Rex Dieter 2013-10-10 17:24:39 EDT
those items you mention are unrelated to this one (afaict).  

(for others), see bug #1017944 for skype crackling.
Comment 17 D. Charles Pyle 2013-10-10 19:42:54 EDT
Just logged into Cinnamon, and got hit with six errors within a second and a half from pulseaudio while just logging on to a session.

ABRT, as usual, won't let me report them but was kind enough to reference this bug report.
Comment 18 D. Charles Pyle 2013-10-10 19:48:15 EDT
Make that 14 since I last posted the above comment 17.
Comment 19 D. Charles Pyle 2013-10-10 20:22:27 EDT
That count is up to 19 now but so far no more crashes and sound came back on the fourth reboot.
Comment 20 Adam Williamson 2013-10-14 04:06:22 EDT
Proposing as a Final blocker per https://fedoraproject.org/wiki/Fedora_20_Final_Release_Criteria#SELinux_and_crash_notifications : "There must be no SELinux denial notifications or crash notifications on boot of or during installation from a release-blocking live image, or at first login after a default install of a release-blocking desktop." Also as a Beta freeze exception, as this is a pretty highly visible issue that looks bad to testers. It's still valid as of latest F20 packages with a newly-built live image, for me.
Comment 21 D. Charles Pyle 2013-10-14 18:31:51 EDT
Fresh install of F20-Alpha.  Same thing.
Comment 22 Adam Williamson 2013-10-16 13:54:48 EDT
Discussed at 2013-10-16 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-10-16/f20beta-blocker-review-4.2013-10-16-16.02.log.txt . Accepted as a freeze exception issue: this is a very visible bug that negatively affects perception of F20 Beta. It isn't fatal, though, so the fix may not be accepted late in freeze for safety reasons.
Comment 23 D. Charles Pyle 2013-10-16 15:26:29 EDT
A couple of times now I have had gnome-shell crash out directly after the above pulseaudio crashes.  I'd say that is fatal--at least on my fresh F20-Alpha install.  Of course, abrt won't allow reporting on the issue because a similar gnome-shell crash already has been reported.
Comment 24 Adam Williamson 2013-10-16 15:39:04 EDT
"I'd say that is fatal"

a) I haven't ever seen that, and the fact that it happens after the PA crash doesn't mean they're in any way related, and
b) shell crashes aren't usually really fatal because it just respawns itself.

"Of course, abrt won't allow reporting on the issue because a similar gnome-shell crash already has been reported."

So what is the bug #?
Comment 25 D. Charles Pyle 2013-10-16 15:48:07 EDT
Now gone, along with all but one of the pulseaudio crashes.  The gnome-shell crash that occurred during an update also remains (that one is 995785) but the rest are gone from the list.  I had 3 gnome-shell crashes this week.  I had 19 out of 20 pulseaudio crashes that also now are gone.  What is up with that?  How long does abrt hold on to crash info before it no longer displays? What would cause the list of crashes to reset to Monday?
Comment 26 D. Charles Pyle 2013-10-16 15:50:49 EDT
I also found that clicking on the system tab/button does nothing.  Abrt says there are 4 errors sitting there but clicking the button does not display anything.
Comment 27 Adam Williamson 2013-10-16 16:21:14 EDT
This is not a forum thread. If you need help with abrt, ask in an appropriate forum. BZ discussion needs to be focused.
Comment 28 Rex Dieter 2013-10-19 13:34:49 EDT
Not 100% sure, but have an educated guess that
https://admin.fedoraproject.org/updates/FEDORA-2013-19085/pulseaudio-4.0-7.gitf81e3.fc20

may fix this.
Comment 29 Fedora Update System 2013-10-19 13:36:07 EDT
pulseaudio-4.0-7.gitf81e3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-19085/pulseaudio-4.0-7.gitf81e3.fc20
Comment 30 Niki Guldbrand 2013-10-20 16:26:30 EDT
Happened on first login after upgrade from fc19 to fc20

reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start
crash_function: core_free
executable:     /usr/bin/pulseaudio
kernel:         3.11.4-301.fc20.x86_64
package:        pulseaudio-4.0-4.gita89ca.fc20
reason:         Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1236200002
Comment 31 Fedora Update System 2013-10-22 01:36:55 EDT
pulseaudio-4.0-7.gitf81e3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 lovyagin 2014-07-31 10:38:50 EDT
I've just got this crash in pulseaudio-5.0-7.fc20.x86_64 (directed here by abrt).
Comment 33 Karel Volný 2014-09-29 03:26:32 EDT
(In reply to lovyagin from comment #32)
> I've just got this crash in pulseaudio-5.0-7.fc20.x86_64 (directed here by
> abrt).

/me too

reopening
Comment 34 Karel Volný 2014-09-29 03:37:14 EDT
btw, as I don't see any search options at the abrt server, here's the link for the crash record for the version 0:5.0-7.fc20

https://retrace.fedoraproject.org/faf/reports/410607/
Comment 35 Karel Volný 2015-01-02 06:20:50 EST
just got this with pulseaudio-5.0-25.fc21.x86_64
Comment 36 C. N. 2015-04-24 09:46:31 EDT
just got this with pulseaudio-6.0-2.fc21.1.x86_64
Comment 37 Brady O'Brien 2015-05-17 16:59:08 EDT
Another user experienced a similar problem:

I initiated a logout. After logout I logged back in and I was notified that PulseAudio stopped. Before the logout, I had been using steam (API v017, package version 14317290692), but closed the application window prior to logout (it may have had a background process running). I was also using chrome (Version 42.0.2311.152 64-bit), but I exited that as well (though chrome always has a background process running).

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start --log-target=syslog
crash_function: core_free
executable:     /usr/bin/pulseaudio
kernel:         3.19.7-200.fc21.x86_64
package:        pulseaudio-6.0-2.fc21.1
reason:         pulseaudio killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 38 Fedora End Of Life 2015-11-04 10:33:25 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 39 Fedora End Of Life 2015-12-01 21:58:42 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.